Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QAbstractSocket.NetworkLayerProtocol

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QAbstractSocket.NetworkLayerProtocol

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAbstractSocket

    public static final class QAbstractSocket.NetworkLayerProtocol

extends java.lang.Enum
implements QtEnumerator

This enum describes the network layer protocol values used in Qt.

See also:
  `QHostAddress::protocol()`.

See Also:
  Serialized Form

Field Summary
`static QAbstractSocket.NetworkLayerProtocol` | `IPv4Protocol` IPv4
`static QAbstractSocket.NetworkLayerProtocol` | `IPv6Protocol` IPv6
`static QAbstractSocket.NetworkLayerProtocol` | `UnknownNetworkLayerProtocol` Other than IPv4 and IPv6

Method Summary
`static QAbstractSocket.NetworkLayerProtocol` | `resolve(int value)` Returns the QAbstractSocket$NetworkLayerProtocol constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractSocket.NetworkLayerProtocol` | `valueOf(java.lang.String name)`
`static QAbstractSocket.NetworkLayerProtocol[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### IPv4Protocol

    public static final QAbstractSocket.NetworkLayerProtocol IPv4Protocol

  IPv4

### IPv6Protocol

    public static final QAbstractSocket.NetworkLayerProtocol IPv6Protocol

  IPv6

### UnknownNetworkLayerProtocol

    public static final QAbstractSocket.NetworkLayerProtocol UnknownNetworkLayerProtocol

  Other than IPv4 and IPv6

Method Detail

### values

    public static QAbstractSocket.NetworkLayerProtocol[] values()

### valueOf

    public static QAbstractSocket.NetworkLayerProtocol valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractSocket.NetworkLayerProtocol resolve(int value)

  Returns the QAbstractSocket$NetworkLayerProtocol constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD